<?php
/**
 * 添加自定义辅助函数
 */

/**
 * 参数签名校验
 * @param array $params
 * @return string
 */
function generateSign(array $params, $secret_key)
{
    unset($params['sign']);
    // 将删除参数组中所有等值为FALSE的参数（包括：NULL, 空字符串，0， false）
    $params = array_filter($params);

    // 按照键名对参数数组进行升序排序
    ksort($params);

    // 给参数数组追加密钥，键名为 key， 值为签名配置中配置的 secret_key 的值
    $params['chxq_key'] = $secret_key;

    // 生成 URL-encode 之后的请求字符串
    $str = http_build_query($params);

    $str = urldecode($str);
    // 将请求字符串使用MD5加密后，再转换成大写，并返回
    return strtoupper(MD5($str));
}

/**
 * 验证签名
 * @param $sign
 * @param $params
 * @return bool
 */
function verifySign($sign, $params, $secret_key)
{
    if ($sign == generateSign($params, $secret_key)) {
        return true;
    } else {
        return false;
    };

}
